MOUNT.EROFS(8)

NAME
mount.erofs - manage EROFS filesystem

SYNOPSIS
mount.erofs [OPTIONS] SOURCE MOUNTPOINT
mount.erofs -u TARGET
mount.erofs --reattach TARGET

DESCRIPTION
EROFS is an enhanced lightweight read-only filesystem with modern designs for scenarios which need high-performance read-only requirements.

mount.erofs is used to mount an EROFS filesystem from SOURCE (which can be an image file or block device) to a MOUNTPOINT. It supports multiple backends including direct kernel mount, FUSE-based mount, and NBD (Network Block Device) for remote sources like OCI images.

OPTIONS

-h, --help
    Display help message and exit.

-V, --version
    Display version information and exit.

-o options
    Comma-separated list of mount options. See MOUNT OPTIONS below.

-t type[.subtype]
    Specify the filesystem type and optional subtype. The type should be erofs. Available subtypes are:

    fuse
        Use FUSE-based mount via erofsfuse.

    local
        Force direct kernel mount (default if available).

    nbd Use NBD backend for remote sources (e.g., OCI images).

-u  Unmount the filesystem at the specified target.

--reattach
    Reattach to an existing NBD device and restart the NBD service.

MOUNT OPTIONS
Standard mount options:

ro  Mount the filesystem read-only (default).

rw  Mount the filesystem read-write (not supported for EROFS).

nosuid
    Do not honor set-user-ID and set-group-ID bits.

suid
    Honor set-user-ID and set-group-ID bits (default).

nodev
    Do not interpret character or block special devices.

dev Interpret character or block special devices (default).

noexec
    Do not allow direct execution of any binaries.

exec
    Allow execution of binaries (default).

noatime
    Do not update inode access times.

atime
    Update inode access times (default).

nodiratime
    Do not update directory inode access times.

diratime
    Update directory inode access times (default).

relatime
    Update inode access times relative to modify or change time.

norelatime
    Do not use relative atime updates.

OCI-SPECIFIC OPTIONS
The following OCI-specific options are available:

oci.blob=digest
    Specify the OCI blob digest to mount. The digest should be in the format sha256:.... Cannot be used together with oci.layer.

oci.layer=index
    Specify the OCI layer index to mount (0-based). Cannot be used together with oci.blob.

oci.platform=platform
    Specify the target platform (default: linux/amd64).

oci.username=username
    Username for OCI registry authentication.

oci.password=password
    Password for OCI registry authentication.

oci.tarindex=path
    Path to a tarball index file for hybrid tar+OCI mode.

oci.zinfo=path
    Path to a gzip zinfo file for random access to gzip-compressed tar layers.

oci.insecure
    Use HTTP instead of HTTPS to access the image registry.

NOTES

•   EROFS filesystems are read-only by nature. The rw option will be ignored.

•   When mounting OCI images via NBD, the mount process creates a background daemon to serve the NBD device. The daemon will automatically clean up when the filesystem is unmounted.

•   The --reattach option is useful for recovering NBD mounts after a system crash or when the NBD daemon was terminated unexpectedly.

•   Kernel direct mount is used when mounting a regular file without specifying a backend type. If file-based mounts is unsupported, loop devices will be set up automatically.

SEE ALSO
mkfs.erofs(1), erofsfuse(1), dump.erofs(1), fsck.erofs(1), mount(8), umount(8)

AVAILABILITY
mount.erofs is part of erofs-utils.